## bit-keys 20120306-1

=== Makefile ===
PREFIX=/

install:
	cp bitkeys $(PREFIX)/usr/bin
	chmod 755 $(PREFIX)/usr/bin/bitkeys
	cp bitkeys.1 $(PREFIX)/usr/share/man/man1
	chmod 644 $(PREFIX)/usr/share/man/man1/bitkeys.1
	cp update_bitkeys $(PREFIX)/usr/lib/bit-cron/
	chmod 644 $(PREFIX)/usr/lib/bit-cron/update_bitkeys

uninstall:
	rm $(PREFIX)/usr/bin/bitkeys
	rm $(PREFIX)/usr/share/man/man1/bitkeys.1
	rm $(PREFIX)/usr/lib/bit-cron/update_bitkeys

clean:
	-echo "clean"

## bit-keys 0.9.7

=== debian/changelog ===
bit-keys (0.9.7) stable; urgency=low

  * Explicit target when wget'ing (-O)

 -- Sander Smeenk <sanders@bit.nl>  Mon, 04 Oct 2010 17:18:06 +0200

bit-keys (0.9.6-02) stable; urgency=low

  * Depend on 'ca-certificates', bitkeys.bit.nl uses https

 -- Mark Schouten <marks@bit.nl>  Fri, 09 Oct 2009 15:16:04 +0200

bit-keys (0.9.6-01) stable; urgency=low

  * Move the bitkeys-repo to https://bitkeys.bit.nl/
  * Update the maintainer
  * Actually depend on wget and gnupg, since we're using it
  * Update the copyright period

 -- Mark Schouten <marks@bit.nl>  Fri, 09 Oct 2009 14:47:30 +0200

bit-keys (0.9.5-03) stable; urgency=low

  * fixup makefile to install update_bitkeys using $PREFIX

 -- Sten Spans <sten@bit.nl>  Fri,  7 Mar 2008 09:51:17 +0100

bit-keys (0.9.5-02) stable; urgency=low

  * lets depend on bit-cron for support it makes life way easier

 -- Sten Spans <sten@localhost.localdomain>  Thu, 31 May 2007 15:46:24 +0200

bit-keys (0.9.5-01) stable; urgency=low

  * moved bit-cron update script from bit-cron to this package 

 -- Sten Spans <sten@bit.nl>  Thu, 31 May 2007 15:34:27 +0200

bit-keys (0.9.4-01) stable; urgency=low

  * debian/: Upgraded to the 21st century

 -- Miek Gieben <miekg@bit.nl>  Tue, 18 Jul 2006 15:51:49 +0200

=== debian/control ===
Source: bit-keys
Section: admin
Priority: required
Maintainer: BIT Support <support@bit.nl>
Build-Depends: debhelper

Package: bit-keys
Architecture: all
Depends: bit-cron, wget, gnupg, ca-certificates
Conflicts: cfengine2
Description: bit-keys
 Get the BIT ssh keys.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: 
	dh_testdir
	# Add here commands to configure the package.



build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) install PREFIX=$(CURDIR)/debian/bit-keys/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu 
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
#	dh_installman
#	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bit-keys 20120306-1

=== debian/changelog ===
bit-keys (20120306-1) stable; urgency=low

  * Mistakes are easily made with the conflict on cfengine2
    Instead refuse to run if cfagent binary is found

 -- Sander Smeenk <sanders@bit.nl>  Tue, 06 Mar 2012 01:23:45 +0200

## bit-keys 20120926-1

=== debian/changelog ===
bit-keys (20120926-1) stable; urgency=low

  * Create an automated update-bitkeys cron with random starttime
    during installation, if it does not exist already.

 -- Sander Smeenk <support@bit.nl>  Wed, 26 Sep 2012 14:33:01 +0200

## bit-keys 20120926-2

=== debian/changelog ===
bit-keys (20120926-2) stable; urgency=low

  * Cleanup the cron script when bit-keys is removed.

 -- Sander Smeenk <support@bit.nl>  Wed, 26 Sep 2012 14:33:01 +0200

## bit-keys 20140521-1

=== Makefile ===
PREFIX=/

install:
	cp bitkeys $(PREFIX)/usr/bin
	chmod 755 $(PREFIX)/usr/bin/bitkeys
	cp bitkeys.1 $(PREFIX)/usr/share/man/man1
	chmod 644 $(PREFIX)/usr/share/man/man1/bitkeys.1

uninstall:
	rm $(PREFIX)/usr/bin/bitkeys
	rm $(PREFIX)/usr/share/man/man1/bitkeys.1

clean:
	-echo "clean"

=== debian/changelog ===
bit-keys (20140521-1) stable; urgency=low

  * Tabs in indenting replaced
  * Use keys.gnupg.net as default keyserver

 -- Sander Smeenk <support@bit.nl>  Wed, 21 May 2014 14:33:01 +0200

=== debian/control ===
Source: bit-keys
Section: admin
Priority: required
Maintainer: BIT Support <support@bit.nl>
Build-depends: debhelper

Package: bit-keys
Architecture: all
Depends: wget, gnupg, ca-certificates
Suggests: bit-cron
Description: bit-keys
 Get the BIT ssh keys.

## bit-keys 20180827-3

=== debian/control ===
Source: bit-keys
Section: admin
Priority: extra
Maintainer: Sander Smeenk <support@bit.nl>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.6
Homepage: https://bitgit.bit.nl/unix/bit-keys/tree/master

Package: bit-keys
Architecture: all
Depends: gnupg, ${shlibs:Depends}, ${misc:Depends}
Description: BIT SSH keys installer / manager
 Manages SSH authorized_keys2 file in $USER homedir.

## bit-keys 20251209-1

=== debian/changelog ===
bit-keys (20251209-1) unstable; urgency=low

  * Bump version

 -- root <root@builder.dmz.bit.nl>  Mon, 09 Dec 2025 11:00:00 +0000

bit-keys (20250428-1) unstable; urgency=low

  * Add option colo

 -- root <root@builder.dmz.bit.nl>  Mon, 28 Apr 2025 11:00:00 +0000

bit-keys (20240614-1) unstable; urgency=low

  * Remove pre-deploy key when exists.

 -- root <root@builder.dmz.bit.nl>  Fri, 14 Jun 2024 13:10:00 +0000

bit-keys (20240219-1) unstable; urgency=low

  * Fix cleanup of /tmp/tmp.NNNN files.

 -- root <root@builder.dmz.bit.nl>  Thu, 19 Feb 2024 04:20:00 +0000

bit-keys (20231207-1) unstable; urgency=low

  * Implement from="" IP ACLs for bit-keys.

 -- root <root@builder.dmz.bit.nl>  Thu, 07 Dec 2023 04:20:00 +0000

bit-keys (20230711-1) unstable; urgency=low

  * Update cron.d for bit-beheer if user exists.

 -- root <root@builder.dmz.bit.nl>  Tue, 11 Jul 2023 04:20:00 +0000

bit-keys (20190716-1) unstable; urgency=medium

  * Add support for 'groups'.

 -- root <root@builder.dmz.bit.nl>  Sat, 20 Apr 2019 04:20:00 +0000

bit-keys (20180827-3) unstable; urgency=medium

  * Removed expiry

 -- root <root@builder.dmz.bit.nl>  Mon, 27 Aug 2018 04:20:00 +0000

bit-keys (20180827-1) unstable; urgency=medium

  * New GPG key

 -- root <root@builder.dmz.bit.nl>  Mon, 27 Aug 2018 04:20:00 +0000

bit-keys (20170705-1) unstable; urgency=medium

  * Rewrite / Rework / Revamp

 -- root <root@builder.dmz.bit.nl>  Tue, 05 Jul 2017 04:20:00 +0000

## bit-keys 20260130-1

=== debian/changelog ===
bit-keys (20260130-1) unstable; urgency=low

  * Bump version

 -- root <root@builder.dmz.bit.nl>  Fri, 30 Jan 2026 11:00:00 +0000

## bit-keys 20260209-1

=== debian/changelog ===
bit-keys (20260209-1) unstable; urgency=low

  * Prevent collisions with filenames

 -- root <root@builder.dmz.bit.nl>  Mon, 02 Feb 2026 11:00:00 +0000
